=== debian/changelog ===
libertine-scope (1.0-0ubuntu1) xenial; urgency=low

  * Initial release (lp: #1541417).

 -- Stephen M. Webb <stephen.webb@canonical.com>  Wed, 03 Feb 2016 19:42:14 -0500
