=== debian/control ===
Source: libertine-scope
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stephen M. Webb <stephen.webb@canonical.com>
Build-Depends: cmake (>= 3),
               cmake-extras,
               debhelper (>= 9),
               dh-translations,
               google-mock,
               intltool,
               libunity-scopes-dev (>= 0.6.0),
               liburl-dispatcher1-dev,
               pkg-config,
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://launchpad.net/libertine-scope
Vcs-Bzr: https://code.launchpad.net/~libertine-team/libertine-scope/devel
Vcs-Browser: https://bazaar.launchpad.net/~libertine-team/libertine/devel/files

Package: libertine-scope
Architecture: any
Depends: libertine-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Libertine packages scope for Unity
 The Libertine package scope surfaces applications installed in a Libertine
 sandbox for the support of deb-packaged X11-based legacy software that is
 still waiting to be ported natively to Unity.
 .
 This package provides the Libertine scope itself.
