=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
 http://launchpad.net/libertine-scope/+download .*/libertine-scope-([0-9.]+)\.tar\.bz2
