## libertine-scope 1.3.2+17.04.20170228

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
 add_definitions(-DGETTEXT_PACKAGE="${SCOPE_NAME}")
 
 pkg_check_modules(SCOPE libunity-scopes>=1.0.0 REQUIRED)
-pkg_check_modules(UAL ubuntu-app-launch-2>=0.9.0 REQUIRED)
+pkg_check_modules(UAL ubuntu-app-launch-3>=0.9.0 REQUIRED)
 pkg_check_modules(LIBERTINE libertine>=0.99 REQUIRED)
 
 # Add our dependencies to the include paths
